document.addEventListener('DOMContentLoaded', () => {
    // Mobile menu toggle
    const createMobileMenu = () => {
        const nav = document.querySelector('nav');
        const burger = document.createElement('div');
        burger.className = 'burger';
        burger.innerHTML = '☰';
        burger.style.display = 'none';
        
        const mobileBreakpoint = window.matchMedia('(max-width: 768px)');
        
        const handleMobileMenu = (e) => {
            if (e.matches) {
                burger.style.display = 'block';
            } else {
                burger.style.display = 'none';
            }
        };
        
        mobileBreakpoint.addListener(handleMobileMenu);
        handleMobileMenu(mobileBreakpoint);
        
        nav.prepend(burger);
    };

    // Search functionality
    const initializeSearch = () => {
        const searchInput = document.querySelector('.search-container input');
        const searchButton = document.querySelector('.search-button');

        searchButton.addEventListener('click', () => {
            const address = searchInput.value.trim();
            if (address) {
                // Validate address and proceed with search
                console.log('Searching for:', address);
            }
        });

        searchInput.addEventListener('keypress', (e) => {
            if (e.key === 'Enter') {
                searchButton.click();
            }
        });
    };

    // Smooth scroll for navigation links
    const initializeSmoothScroll = () => {
        document.querySelectorAll('a[href^="#"]').forEach(anchor => {
            anchor.addEventListener('click', function (e) {
                e.preventDefault();
                const target = document.querySelector(this.getAttribute('href'));
                if (target) {
                    target.scrollIntoView({
                        behavior: 'smooth'
                    });
                }
            });
        });
    };

    // Initialize all functions
    createMobileMenu();
    initializeSearch();
    initializeSmoothScroll();
});